#### D.12.3.7 gcddivisor

Procedure from library `hyperel.lib` (see hyperel_lib).

Usage:
  gcddivisor(p,q);

Return:
  list P

Note:
  gcd of two divisors

Example:

    LIB "hyperel.lib";
    ring R=7,x,dp;
    // hyperelliptic curve y^2 + h*y = f
    poly h=x;
    poly f=x5+5x4+6x2+x+3;
    // two divisors
    list p=list(-1,-3,1),list(1,1,2);
    list q=list(1,1,1),list(2,2,1);
    gcddivisor(p,q);
    ==> [1]:
    ==>    [1]:
    ==>       1
    ==>    [2]:
    ==>       1
    ==>    [3]:
    ==>       1

User manual for Singular version 4.4.1, 2025, generated by texi2html.